# {{ ansible_managed }}
server {
    listen       80 backlog=1024;
    server_name  ftp.caliu.cat ;
    #server_name_in_redirect off ;

    location / {
        root /home/ftp ;
        autoindex on ;

        # Proves pels problemes del mirall d'ubuntu 14.04
        add_header Cache-Control "no-cache, proxy-revalidate";
        expires 0;
        types {
            application/x-gzip  gz;
            application/x-bzip2 bz2;
        }
        
        # README per a /debian/ i /debian-cd/
        # https://caliu.cat/trac/masovers/ticket/20
        #location ~ ^/debian(-cd)?/ {
        #    add_before_body /debian/README.html;
        #}
    }

    # Mostra al navegador els fitxers .txt de l'arrel
    location ~ ^/[^/]+\.txt$ {
        root /home/ftp;
        charset UTF-8;
    }
}

